- name: Deploy a prepared Cloud Image 
  hosts: proxmox
  gather_facts: no
  roles:
    - role: proxmox_vm
      vars:
          pm_clone: temp-ubuntu-22-04
          pm_storage: local
          pm_name: "{{syslog_hostname}}"
          pm_memory: 512
          pm_address: "{{syslog_address}}"
          pm_gw: "{{syslog_gw}}"

- name: Wait for cloud-init
  hosts: log_server
  gather_facts: no
  tasks:
    - name: Wait for host ssh available
      wait_for_connection:
        delay: 60
        timeout: 300
              
    - name: Wait for cloud init to finish
      community.general.cloud_init_data_facts:
        filter: status
      register: res
      until: "res.cloud_init_data_facts.status.v1.stage is defined and not res.cloud_init_data_facts.status.v1.stage"
      retries: 50
      delay: 5

- name: Configure Ubuntu & install Ipaclient
  hosts: log_server
  roles:
    - role: er.ubuntu
    - role: er.ipa_client      